<?
/**
 * @Project GoldMU.Net
 * @copyright 03/03/2022
 * @Email: goldmu.net@gmail.com
 * @Zalo: 0923 117 898
*/
 
	if (!defined('GoldWebMU')) die("Ban khong co quyen truy cap he thong");
include('config/config_itemvpoint.php');

if($use_gcoin == 1){
	$type_money = "gcoin";
	$name_money = "Gcoin";
}else{
	$type_money = "vpoint";
	$name_money = "Vpoint";
}

if (isset($_POST['action']))
{
	$action = $_POST['action'];
	if ($action == 'item2vpoint')
	{
		$character = $_POST['character'];
		$pass2 = $_POST['pass2'];
		
		if( $sendsv === false ) { $error = "Tốc độ xử lý của bạn quá nhanh, vui lòng chờ vài giây rồi tiếp tục thực hiện."; }
		elseif (empty($character))
		{
			$error = "Chưa chọn nhân vật có Item $name_money muốn đổi";
		}
		elseif (preg_match("/[^a-zA-Z0-9_$]/", $character))
			{
				$error = "Dữ liệu lỗi - Nhân vật chỉ được sử dụng kí tự a-z, A-Z, số (1-9) và dấu _.";
			}
		elseif (empty($pass2))
		{
			$error = "Chưa nhập mật khẩu cấp 2";
		}
		elseif (preg_match("/[^a-zA-Z0-9_$]/", $pass2))
			{
				$error = "Dữ liệu lỗi - Mật khẩu cấp 2 chỉ được sử dụng kí tự a-z, A-Z, số (1-9) và dấu _.";
			}
		else {
		
		$getcontent_url = $server_url . "/sv_tiente.php";
        $getcontent_data = array(
            'login'    =>  $_SESSION['mu_username'],
            'name'    =>  $_SESSION['mu_nvchon'],
            'pass2'    =>  $pass2,
            
            'pagesv'	=>	'sv_tiente_item2vpoint',
            'string_login'    =>  $_SESSION['checklogin'],
            'passtransfer'    =>  $passtransfer
        ); 
        
        $reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);

			if ( empty($reponse) ) $error = "Server bảo trì.";
			elseif($reponse == "login_other") {
				$error = "<font size='3' color='red'>Tài khoản đã được đăng nhập trên trình duyệt khác hoặc máy tính khác.</font>";
				session_destroy();
			}
			else {
				$info = explode('<vweb>',$reponse);
				if ($info[0] == 'OK') {
					$money = $info[1];
					$notice = $info[2];
					if($use_gcoin == 1){
						$_SESSION['acc_gcoin'] = $_SESSION['acc_gcoin'] + $money;
					}else{
						$_SESSION['acc_vpoint'] = $_SESSION['acc_vpoint'] + $money;
					}
				}
				else $error = $reponse;
			}
		}
	}
}
$page_template = "templates/tiente/item2vpoint.tpl";
?>